﻿//-----------------------------------------------------------------------
// <copyright file="FunctoidInvocationCreator.cs" company="Microsoft">
//     Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BtmToTrfmConvertor
{
    public class FunctoidInvocationCreator : INodeVisitable
    {
        // initialises the class
        public FunctoidInvocationCreator(string functionTarget, string functionDetail, OperationContext operationContext)
        {
            FunctionDetail = functionDetail;
            FunctionTarget = functionTarget;
            Context = operationContext;
        }

        // properties of the functoidIncvocationCreator
        internal string FunctionDetail { get; private set; }

        internal string FunctionTarget { get; private set; }

        internal OperationContext Context { get; private set; }

        // creates a functoidInvocation 
        public object Accept(INodeVisitor v)
        {
            return v.Visit(this);
        }
    }
}
