﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BtmToTrfmConvertor
{
    public class ScriptInvocationCreator : INodeVisitable
    {
        string functionDetails;
        string functionTarget;
        OperationContext context;
        string content;

        // initialises the class
        public ScriptInvocationCreator(string functionTarget, string functionDetail, OperationContext operationContext, string content)
        {
            this.functionDetails = functionDetail;
            this.functionTarget = functionTarget;
            this.context = operationContext;
            this.content = content;
        }

        // properties of the scriptIncvocationCreator
        internal string FunctionDetail
        {
            get { return this.functionDetails; }
        }

        internal string FunctionTarget
        {
            get { return this.functionTarget; }
        }

        internal OperationContext Context
        {
            get { return this.context; }
        }

        internal string Content 
        {
            get { return this.content; }
        }

        // creates a scriptInvocation 
        public object Accept(INodeVisitor v)
        {
            return v.Visit(this);
        }
    }
}
