﻿//-----------------------------------------------------------------------
// <copyright file="Types.cs" company="Microsoft">
//     Copyright (c) Microsoft. All rights reserved.
// </copyright>

namespace BtmToTrfmConvertor
{
    internal static class Types
    {
        internal enum FunctoidType
        {
            StringFunctoid = 49,
            ArithmeticExpression,
            LogicalExpression,
            DateTimeFunctoid,
            CumulativeFunctoid,
            ScriptingFunctoid
        }

        internal enum DateTimeFunctoidType 
        {
            DateCurrentDate = 49, 
            DateCurrentTime, 
            DateCurrentDateTime 
        }

        internal enum ScriptingType
        {
            CSharp = 49
        }
    }
}
